/**
 * Classe permettant d'assigner diverses formes fonctionnelles a deux inconnues a la methode "fonction" a partir du patron ChoixDeFonction.
 *
 * @author Benoit CARRY
 * @version 05/12/2005
 *
 */
public class UsineAFonction {

  //////////////////////////////////////////////////////////////
  // Appel des classes de fonction suivant le parametre numEq //
  //////////////////////////////////////////////////////////////


   /**
    * Methode d'assignation de fonction
    *
    *  @param typeEquation Parametre de choix de la forme fonctionnelle, prend la valeur "FoncLagrange[i]" ou [i] prend les valeurs 1, 2 ou 3 suivant le point de Lagrange (1, 2 ou 3) voulu
    *  @return La fonction donnant le point fixe desiree
    *
    */
  static public ChoixDeFonction creerFonc(String typeEquation) {
    if ( "Lagrange1".equals(typeEquation) ) { return new FoncLagrange1(); }
    else if ( "Lagrange2".equals(typeEquation) ) { return new FoncLagrange2(); }
    else { return new FoncLagrange3(); }
  }


   /**
    * Methode d'assignation de derivee de fonction
    *
    *  @param typeEquation Parametre de choix de la forme fonctionnelle de la derivee, prend la valeur "DerivLagrange[i]" ou [i] prend les valeurs 1, 2 ou 3 suivant le point de Lagrange (1, 2 ou 3) voulu
    *  @return La derivee de la fonction donnant le point fixe voulu
    *
    */
  static public ChoixDeFonction creerDer(String typeEquation) {
    if ( "Lagrange1".equals(typeEquation) ) { return new DerivLagrange1(); }
    else if ( "Lagrange2".equals(typeEquation) ) { return new DerivLagrange2(); }
    else  { return new DerivLagrange3(); }
  }

}
